curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"locationExternalReference": "Company_Club",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redeemAuditUser": "Joe"
}
'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"
payload = {
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"locationExternalReference": "Company_Club",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redeemAuditUser": "Joe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
locationExternalReference: 'Company_Club',
profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
redeemAuditUser: 'Joe'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redemptionCode' => '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
'locationExternalReference' => 'Company_Club',
'profileId' => '67460e74-02e3-11e8-b443-00163e990bdb',
'redeemAuditUser' => 'Joe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"
payload := strings.NewReader("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"locationExternalReference\": \"Company_Club\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"redeemAuditUser\": \"Joe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"locationExternalReference\": \"Company_Club\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"redeemAuditUser\": \"Joe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"locationExternalReference\": \"Company_Club\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"redeemAuditUser\": \"Joe\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Redeem Member Reward succeed.",
"errors": {},
"data": null
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Redeem Rewards
Confirms the redemption and marks the reward as used. This is done based on the redemptionCode that is generated from the response of the ‘Issue Variable Rewards’ - POST /api/v1/redeem/reward/issue endpoint.
Note:
1) Rewards have to be issued before they can be redeemed.
2) Rewards must be within their expiration date.
curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"locationExternalReference": "Company_Club",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redeemAuditUser": "Joe"
}
'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"
payload = {
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"locationExternalReference": "Company_Club",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redeemAuditUser": "Joe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
locationExternalReference: 'Company_Club',
profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
redeemAuditUser: 'Joe'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redemptionCode' => '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
'locationExternalReference' => 'Company_Club',
'profileId' => '67460e74-02e3-11e8-b443-00163e990bdb',
'redeemAuditUser' => 'Joe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"
payload := strings.NewReader("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"locationExternalReference\": \"Company_Club\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"redeemAuditUser\": \"Joe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"locationExternalReference\": \"Company_Club\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"redeemAuditUser\": \"Joe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"locationExternalReference\": \"Company_Club\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"redeemAuditUser\": \"Joe\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Redeem Member Reward succeed.",
"errors": {},
"data": null
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Reward details
Redemption code. This code must be specified. Redemption code is generated in the response of the Issue Variable Rewards (POST /api/v1/redeem/reward/issue) endpoint.
"04c229d7-03cb-421f-9d77-1c0ff1fc2641"
Represents the store where the rewards are being redeemed. Each store (online, physical or POS) has a unique locationExternalReference name or ID.
1"Company_Club"
Profile ID of the member. In an ecosystem, it acts as a primary ID to keep the various systems (apps, websites, etc.) in sync.
"67460e74-02e3-11e8-b443-00163e990bdb"
Representative who is issuing the reward redemption.
1"Joe"
Response
OK
Response (metadata) of redeemed rewards
Status of the call
200
Message corresponding to the call
1"Redeem Member Reward succeed."
Error details, if applicable
{}
Reward details, if applicable
null
Was this page helpful?
